
<mat-chip-list>
  <mat-chip color="primary" [selected]="userLoggedIn">{{ chipLabel }}</mat-chip>
  <!-- <button mat-icon-button [disabled]="buttonDisabled" (click)="logInOrOut()"> -->
  <button mat-icon-button [disabled]="buttonDisabled" (click)="checkLoginStatus()">
      <mat-icon>{{ iconName }}</mat-icon>
  </button>
</mat-chip-list>
